
ctools - Change request #1340

Add parameters to ctlike and ctmodel for stacked response usage

10/25/2014 01:50 AM - Knödlseder Jürgen

Status: Closed Start date: 10/25/2014

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The parameters expcube and psfcube should be added to ctlike and ctmodel to allow a direct usage of a stacked event cube without

passing through an XML file. The only open question is how the tools can decide whether they need a caldb and irf parameter or

whether they better get the expcube and psfcube parameters. In principle, both should work for an event cube on input.

Maybe this can be dealt with by specifying NONE to caldb and irf, but this would imply that all 4 parameters will be queried in case

that no response is found in the observation container.

History

#1 - 10/30/2014 12:13 PM - Knödlseder Jürgen

- Target version set to 00-08-00

#2 - 11/11/2014 11:55 PM - Knödlseder Jürgen

- Target version changed from 00-08-00 to 1.0.0

#3 - 02/05/2015 01:01 AM - Knödlseder Jürgen

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 50

Done for ctlike and cttsmap.

This is now straight forward due to inclusion of code in the ctool::set_obs_response() method. It is sufficient to add the parameters expcube and

psfcube with default values of NONE to the parameter file.

#4 - 02/05/2015 01:01 AM - Knödlseder Jürgen

- Status changed from New to In Progress

#5 - 02/05/2015 10:07 AM - Knödlseder Jürgen

- % Done changed from 50 to 90

Done also for ctbutterfly and ctmodel.

Some testing of the stacked analysis is still needed.

#6 - 02/05/2015 10:08 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 90 to 100

Considered done.
